
export default {
	data: () => {
		return {
			pageHeight: 0,
			copyInfo: {
				form: {},
				info: {}
			}
		}
	},
	onReady () {
		this.$nextTick(() => {
			// 获取滚动区域的高度
			uni.createSelectorQuery().select('#page').boundingClientRect((rect) => {
				this.pageHeight = rect.height
			}).exec()
		})
	},
	methods: {
		toBottom () {
			uni.pageScrollTo({
				scrollTop: this.pageHeight,
				duration: 200 // 可根据需求设置滚动动画时长
			})
		},
		copy (value) {
			console.log(value)
			uni.setClipboardData({
				data: value,
				success: function () {
					console.log('复制成功');
				}
			});
		}
	}
}
